/*
 * Created on 21.02.2003
 *
 * To change this generated comment go to
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf.plugin.remotesave;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.io.IOException;
import java.util.Locale;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

import javax.swing.KeyStroke;

import at.bestsolution.drawswf.AbstractPlugin;
import at.bestsolution.drawswf.DrawingPanel;
import at.bestsolution.drawswf.MainWindow;
import at.bestsolution.drawswf.PluginLoader;
//import at.bestsolution.drawswf.plugin.remotesave.action.RemoteSaveAction;
import at.bestsolution.drawswf.util.DrawSWFConfig;
import at.bestsolution.util.BestsolutionConfiguration;
import at.bestsolution.drawswf.plugin.remotesave.util.RemoteSaveConfig;
/**
 * @author tom
 */
public class RemoteSavePlugin extends AbstractPlugin
{
    private static DrawSWFConfig main_configuration_;
    private static ResourceBundle international_;

    public RemoteSavePlugin()
    {

    }

    public void init(PluginLoader loader, DrawingPanel drawing_panel, MainWindow main_window)
    {
        super.init(loader, drawing_panel, main_window);
        setI18n();
    }

    public static ResourceBundle getI18n()
    {
        return international_;
    }

    public static DrawSWFConfig getDrawSWFConfiguration()
    {
        return main_configuration_;
    }

    public void loadSelf()
    {
    }

    private void setI18n()
    {
        Locale locale = new Locale("en");
        main_configuration_ = loader_.getConfig();

        if (main_configuration_ != null)
        {
            locale = new Locale(main_configuration_.getProperty("language"));
        }

        try
        {
            international_ =
                new PropertyResourceBundle(
                    getClass().getClassLoader().getResourceAsStream("at/bestsolution/drawswf/plugin/remotesave/RemoteSavePluginBundle_" + locale.toString() + ".properties"));
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
    }

    public BestsolutionConfiguration getConfig()
    {
        return RemoteSaveConfig.getInstance();
    }
}
