/*
 * Created on 22.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf.plugin.remotesave.util;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

import at.bestsolution.util.BestsolutionConfiguration;

/**
 * @author tom
 */
public class RemoteSaveConfig extends BestsolutionConfiguration
{
    private static RemoteSaveConfig instance_ = null;
    
    private RemoteSaveConfig()
    {
        super();
    }
    
    public static RemoteSaveConfig getInstance()
    {
        if( instance_ == null)
        {
            instance_ = new RemoteSaveConfig();
            instance_.loadConfig();
        }
        
        return instance_;
    }
    
    public void loadConfig()
    {
        InputStream in = getClass().getClassLoader().getResourceAsStream("at/bestsolution/drawswf/plugin/remotesave/DefaultRemoteSaveConfiguration.properties");
        try
        {
            loadConfig( in, System.getProperty("user.home")+ File.separator + ".drawswf" + File.separator + "remote-saveplugin.properties" );
        }
        catch( FileNotFoundException e )
        {
            e.printStackTrace();
        }
        catch( IOException e)
        {
            e.printStackTrace();
        }
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        return "Remote Save Plugin";
    }

}
