/*
 * Created on 06.03.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.util;

import java.util.Hashtable;
import at.bestsolution.util.BestsolutionConfigurationEditor;

/**
 * @author tom
 */
public class BestsolutionConfigurationEditorFactory
{
    private static Hashtable editors_ = new Hashtable();
    
    public static BestsolutionConfigurationEditor getEditor( BestsolutionConfiguration config )
    {
        BestsolutionConfigurationEditor editor;
        
        if( ! editors_.containsKey(config) )
        {
            editor = new BestsolutionConfigurationEditor();
            editor.setConfiguration(config);
            editors_.put(config,editor);
        }
        else
        {
            editor = (BestsolutionConfigurationEditor)editors_.get(config);
        }
        
        return editor;
    }
}
