package ca.utoronto.atrc.whiteboard;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import com.echomine.jabber.*;

public class ACommGroupChatList extends JPanel {

    // as always, the main class
    public ACommunicator aComm;
    public GroupChat theGroupChat;
    
    // GUI items
    public JPanel messagePanel;
    public JPanel sendPanel;

    public JList list;
    public DefaultListModel listModel;    
    
    public ACommGroupChatList(ACommunicator aC, GroupChat g) {
        theGroupChat = g;
	aComm = aC;
	setLayout(new BorderLayout());
	
        listModel = new DefaultListModel();
	list = new JList(listModel);
	
	JScrollPane scrollPane = new JScrollPane(list);
	scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
	scrollPane.setPreferredSize(new Dimension(150, 300));
	
	add(scrollPane, "Center");
    }
}

