/*
 * Created on 22.02.2003
 *
 * To change this generated comment go to
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf.toolbar;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.util.ResourceBundle;
import java.awt.Insets;

import javax.swing.JToolBar;
import javax.swing.KeyStroke;

import at.bestsolution.drawswf.MainWindow;
import at.bestsolution.drawswf.actions.AbstractDrawAction;
import at.bestsolution.drawswf.actions.ClearAction;
import at.bestsolution.drawswf.actions.RedoAction;

/**
 * @author tom
 */
public class DrawEditToolbar extends JToolBar implements DrawToolbarInterface
{

    private MainWindow mWin;
    
    public DrawEditToolbar(MainWindow mW)
    {
        super();
        mWin = mW;
        setFloatable(false);
        initToolbar();
    }

    //----------------------------------------------------------------------------
    private void addRedoAction( String displayedText, String description, String icon_name, int mnemonicKey, KeyStroke accelerator )
    {
        RedoAction redo_action = new RedoAction(description, icon_name, mWin.getDrawingPanel());
        add(redo_action);
    }

    //----------------------------------------------------------------------------
    private void addClearAction( String displayedText, String description, String icon_name, int mnemonicKey, KeyStroke accelerator )
    {
        ClearAction clear_action = new ClearAction(description, icon_name, mWin.getDrawingPanel());
        add(clear_action);
    }

    //----------------------------------------------------------------------------
    private void initToolbar()
    {
        ResourceBundle international = mWin.getI18n();
    }

    /* (non-Javadoc)
     * @see at.bestsolution.drawswf.toolbar.DrawToolbarInterface#addGenericToolbarItem(at.bestsolution.drawswf.actions.AbstractDrawAction, int)
     */
    public void addGenericToolbarItem(AbstractDrawAction draw_action, int position)
    {
        // TODO Auto-generated method stub
    }

}
