/*
 * Created on 22.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf.util;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.File;

import at.bestsolution.util.BestsolutionConfiguration;

/**
 * @author tom
 */
public class DrawSWFConfig extends BestsolutionConfiguration
{
    private static DrawSWFConfig instance_ = null;

    private DrawSWFConfig()
    {
        super();
    }

    public static DrawSWFConfig getInstance()
    {
        if (instance_ == null)
        {
            instance_ = new DrawSWFConfig();
            instance_.loadConfig();
        }

        return instance_;
    }

    private void loadConfig()
    {
        InputStream in = getClass().getClassLoader().getResourceAsStream("DefaultDrawSWFConfiguration.properties");
        
        try
        {
            loadConfig(in, System.getProperty("user.home")+ File.separator + ".drawswf" + File.separator + "drawswf.properties");
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        return "DrawSWF";
    }

}
